Bug 670231 - ABRT needs uid/gid reservation
ABRT needs uid/gid reservation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: setup (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
qe-baseos-daemons
:
Depends On:
Blocks: 650975
  Show dependency treegraph
 
Reported: 2011-01-17 11:13 EST by Jiri Moskovcak
Modified: 2015-02-01 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Automated Bug Reporting Tool (abrt) creates a user ID (UID) pair and group ID (GID) pair, both with the name "abrt" and number "173". The automated bug reporting process uses this user and group when it reports bugs. Previously, this UID/GID pair were not reserved during setup and other packages or administrators could accidentally assign those values to other users and groups. The setup package now reserves these UID and GID names and numbers for abrt. Accidental clashes with other users and groups are therefore avoided.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2011-01-17 11:13:56 EST
Description of problem:

I get this error in rpmdiff,so I would like to ask to reserve gid/uid for ABRT.

BAD	 	abrt	 	Invocation of useradd without specifying a UID on all architectures:

Thank you.

Invocation of groupadd/useradd from specfile:

getent group abrt >/dev/null || groupadd -f --system abrt
getent passwd abrt >/dev/null || useradd --system -g abrt -d /etc/abrt -s /sbin/nologin abrt
Comment 1 Ondrej Vasik 2011-01-18 05:09:33 EST
uidgid pair 173:173 reserved upstream and in Rawhide, waiting for qa_ack ...
Comment 5 Florian Nadge 2011-03-02 13:19:40 EST
Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:


For details, see:
https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks
Comment 6 Florian Nadge 2011-03-02 13:19:40 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    What actions or circumstances induced the feature request.
Consequence
    What action was inhibited by the feature’s absence.
Change
    What was done to implement the feature.
    Note: backported from upstream is not an explanation.
Result
    What now happens when the actions or circumstances above occur.
    Note: this is not the same as the feature request was fulfilled.
Comment 7 Ondrej Vasik 2011-03-03 04:08:26 EST
These are already present in errata description text ... but ok, adding to
technotes field.
Comment 8 Ondrej Vasik 2011-03-03 04:08:26 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,10 +1 @@
-Cause
+This updated setup package reserves the new "abrt" user ID and group ID, and the userid (UID) and groupid (GID) numbers (173:173), which should prevent accidental usage of that UID/GID pair by other packages and administrators. The "abrt" user and group IDs are created by abrt package and used for automated bug reporting process.-    What actions or circumstances induced the feature request.
-Consequence
-    What action was inhibited by the feature’s absence.
-Change
-    What was done to implement the feature.
-    Note: backported from upstream is not an explanation.
-Result
-    What now happens when the actions or circumstances above occur.
-    Note: this is not the same as the feature request was fulfilled.
Comment 9 Ryan Lerch 2011-04-18 23:59:38 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-This updated setup package reserves the new "abrt" user ID and group ID, and the userid (UID) and groupid (GID) numbers (173:173), which should prevent accidental usage of that UID/GID pair by other packages and administrators. The "abrt" user and group IDs are created by abrt package and used for automated bug reporting process.+The Automated Bug Reporting Tool (abrt) creates a user ID (UID) pair and group ID (GID) pair, both with the name "abrt" and number "173". The automated bug reporting process uses this user and group when it reports bugs. Previously, this UID/GID pair were not reserved during setup and other packages or administrators could accidentally assign those values to other users and groups. The setup package now reserves these UID and  GID names and numbers for abrt. Accidental clashes with other users and groups are therefore avoided.
Comment 12 errata-xmlrpc 2011-05-19 07:54:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0524.html

Note You need to log in before you can comment on or make changes to this bug.